Bug 9879 - Use DataTables on suggestions management page
Summary: Use DataTables on suggestions management page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/suggestion/suggestion.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-20 19:41 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9879 - Use DataTables on suggestions management page (4.99 KB, patch)
2013-03-20 19:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9879 - Use DataTables on suggestions management page (5.01 KB, patch)
2013-03-21 08:42 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 9879 - Use DataTables on suggestions management page (5.07 KB, patch)
2013-03-21 15:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-20 19:41:30 UTC
The suggestions management page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-03-20 19:55:30 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2013-03-20 19:57:59 UTC
I will accept this for 3.12, since it is fixing the general bug "Koha still uses tablesorter."
Comment 3 Paul Poulain 2013-03-21 08:42:37 UTC
Patch tested with a sandbox, by Frederic Durand <frederic.durand@unilim.fr>
Comment 4 Paul Poulain 2013-03-21 08:42:53 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-03-21 15:55:31 UTC
QA comment:

This patch replaces tablesorter with Datatable on the suggestions management page.
Owen uses "e.preventDefault()" where I would use "return false;", but it does the same job!

Marked as Passed QA.
Comment 6 Jonathan Druart 2013-03-21 15:59:59 UTC
Created attachment 16668 [details] [review]
Bug 9879 - Use DataTables on suggestions management page
Comment 7 Jared Camins-Esakov 2013-03-21 22:30:29 UTC
This patch has been pushed to master.